dev-cpp / abseil-cpp

Abseil Common Libraries (C++), LTS Branch

Official package sites : https://abseil.io ·

v20200923.2 :: 0 :: gentoo

Modified
License
Apache-2.0 test? ( BSD )
Keywords
~amd64 ~ppc64 ~x86
USE flags
cxx17 test

v20200225.2 :: 0 :: gentoo

Modified
License
Apache-2.0
Keywords
~amd64 ~ppc64 ~x86

General

cxx17
Build with -DCMAKE_CXX_STANDARD=17 (required by some revdeps)
test
Enable dependencies and/or preparations necessary to run tests (usually controlled by FEATURES=test but can be toggled independently)

app-i18n / mozc : Mozc - Japanese input method editor

net-libs / grpc : Modern open source high performance RPC framework

763642
dev-cpp/abseil-cpp-20200225.2 : /.../environment: absl/.../generate_copts.py: /.../python: bad interpreter: No such file or direct
Repository mirror & CI · gentoo
Merge updates from master
Michał Górny · gentoo
*/*: Remove obsolete values from PYTHON_COMPAT
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Georgy Yakovlev · gentoo
dev-cpp/abseil-cpp: bump to 20200923.2, add cxx17 useflag
Some revdeps may require absl built with -DCMAKE_CXX_STANDARD=17 Normally that should not be a useflag, but we need to expose it to package-manager so other packages can depend on it. Upstream insist on using cmake for that and not proper headers... Package-Manager: Portage-3.0.8, Repoman-3.0.2 Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Georgy Yakovlev · gentoo
dev-cpp/abseil-cpp: bump to 20200923.1
Package-Manager: Portage-3.0.8, Repoman-3.0.1 Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Georgy Yakovlev · gentoo
dev-cpp/abseil-cpp: avoid cmake unused var warning
Closes: https://bugs.gentoo.org/744682 Package-Manager: Portage-3.0.8, Repoman-3.0.1 Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Georgy Yakovlev · gentoo
dev-cpp/abseil-cpp: remove -Werror
Closes: https://bugs.gentoo.org/744610 Package-Manager: Portage-3.0.8, Repoman-3.0.1 Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Georgy Yakovlev · gentoo
dev-cpp/abseil-cpp: add RESTRICT="!test? ( test )"
Package-Manager: Portage-3.0.8, Repoman-3.0.1 Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Georgy Yakovlev · gentoo
dev-cpp/abseil-cpp: bump to 20200923 LTS
Package-Manager: Portage-3.0.8, Repoman-3.0.1 Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Georgy Yakovlev · gentoo
dev-cpp/abseil-cpp: drop old
Package-Manager: Portage-2.3.99, Repoman-2.3.22 Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>
Georgy Yakovlev · gentoo
dev-cpp/abseil-cpp: bump to 20200225.2
Package-Manager: Portage-2.3.99, Repoman-2.3.22 Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Georgy Yakovlev · gentoo
dev-cpp/abseil-cpp: fix QA warning
Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Georgy Yakovlev · gentoo
dev-cpp/abseil-cpp: whitespace
Package-Manager: Portage-2.3.99, Repoman-2.3.22 Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>
Georgy Yakovlev · gentoo
dev-cpp/abseil-cpp: restrict tests for now
Package-Manager: Portage-2.3.99, Repoman-2.3.22 Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>
Georgy Yakovlev · gentoo
dev-cpp/abseil-cpp: new package
Package-Manager: Portage-2.3.99, Repoman-2.3.22 Signed-off-by: Georgy Yakovlev <gyakovlev@gentoo.org>